from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XInputSequenceChecker(XInterface, Protocol):
    def checkInputSequence(self, aText: str, nPos: int, cInputChar: str, nInputCheckMode: int) -> bool: ...
